VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
CGradient Class Reference
Version 4.0

Gradient Object [new in 4.0]. More...

Inheritance diagram for CGradient:

## Public Member Functions
| CGradient (PlatformGradientPtr &&platformGradient)
| ~CGradient () noexceptoverride
const PlatformGradientPtr & | getPlatformGradient () const
Member Access
void | addColorStop (double start, const CColor &color)
void | addColorStop (const GradientColorStop &colorStop)
const GradientColorStopMap & | getColorStops () const
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Static Public Member Functions
static CGradient * | create (const GradientColorStopMap &colorStopMap)
static CGradient * | create (double color1Start, double color2Start, const CColor &color1, const CColor &color2)

## Protected Attributes
PlatformGradientPtr | platformGradient

## Detailed Description

Gradient Object [new in 4.0].

## Constructor & Destructor Documentation

CGradient | ( | PlatformGradientPtr && | platformGradient | ) |

~CGradient | ( |  | ) |
| override default noexcept

## Member Function Documentation

void addColorStop | ( | double | start,
|  | const CColor & | color
| ) |  |

void addColorStop | ( | const GradientColorStop & | colorStop | ) |

CGradient * create | ( | const GradientColorStopMap & | colorStopMap | ) |
| static

CGradient * create | ( | double | color1Start,
|  | double | color2Start,
|  | const CColor & | color1,
|  | const CColor & | color2
| ) |  |
| static

const GradientColorStopMap & getColorStops | ( |  | ) | const

const PlatformGradientPtr & getPlatformGradient | ( |  | ) | const

## Member Data Documentation

PlatformGradientPtr platformGradient
| protected

The documentation for this class was generated from the following files:

- cgradient.h
- cgradient.cpp